[[[ NC WC Dev Notes ]]]

[ Info ]
-uses latest gradle android plug with: "externalNativeBuild"
-cmake build tools





[[ Links ]]
# gradle plugin versions
@ https://jcenter.bintray.com/com/android/tools/build/gradle/

# gradle ndk support
@ https://developer.android.com/studio/projects/add-native-code.html#download-ndk


[ CMake ]
@ https://developer.android.com/ndk/guides/cmake.html

# cmake building examples
@ https://github.com/googlesamples/android-ndk/tree/master-cmake

# variables
# arguments "-DVAR_NAME=VALUE"
@ https://developer.android.com/ndk/guides/cmake.html#variables


[ Examples ]
@ https://github.com/googlesamples/android-ndk



[[ Java Version ]]

[ NDK ]
/usr/local/opt/android-sdk/ndk-bundle

[ SDK ]
/usr/local/opt/android-sdk/  -->
/Applications/android-dev/android-sdk-macosx

[ Java ]
Android Studio 2.3 RC 1
Build #AI-162.3742087, built on February 16, 2017
JRE: 1.8.0_112-release-b06 x86_64
JVM: OpenJDK 64-Bit Server VM by JetBrains s.r.o

/Library/Java/JavaVirtualMachines/jdk1.8.0_20.jdk/Contents/Home


[ Android Gradle Plugin ]


To take advantage of all the latest features (such as Instant Run), improvements and security fixes, we strongly recommend that you update the Android Gradle plugin to version 2.3.0-rc1 and Gradle to version 3.3.

